Bug 1276098 - Flash messages missing while Deleting and Cancelling a Schedule
Flash messages missing while Deleting and Cancelling a Schedule
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
low Severity low
: GA
: 5.5.0
Assigned To: Dávid Halász
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 13:27 EDT by Ramesh A
Modified: 2015-12-08 08:41 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:41:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramesh A 2015-10-28 13:27:02 EDT
Description of problem:
Flash messages missing while Deleting and Cancelling a Schedule

Version-Release number of selected component (if applicable):
5.5.0.7-beta1.3.20151021133253_ed40d96

How reproducible:
100%

Steps to Reproduce:
1. Deploy new appliance
2. Navigate to cloud intelligence ==> Reports ==> Schedules
Note: Make sure that there is no existing schedules

Case-1: 
Configuration ==> Add a new Schedule ==> Click on Cancel (make sure that there no other schedule existing)
Result:- No flash message is displayed stating user action is cancelled

Case-2:
Add a new schedule and delete it (make sure that there no other schedule existing)
Result: No flash message is displayed stating schedule is deleted

Actual results:
No Flash message is displayed for the schedule being cancelled or deleted.

Note: this works fine if there is any other schedules already existing

Expected results:
Should display flash messages when Delete or Cancel operation is performed for a new schedule


Additional info:
Comment 2 Ramesh A 2015-10-28 14:05:46 EDT
Same behavior is noticed in the other module pages too.  Not sure if this is the intended behavior, please advice.
Comment 4 CFME Bot 2015-10-29 10:10:31 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1521280f2ad693a5880af07bce484dcb97005b34

commit 1521280f2ad693a5880af07bce484dcb97005b34
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Oct 29 11:20:49 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Oct 29 11:22:01 2015 +0100

    Fixed flash message rendering when there is no schedule present
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276098

 app/views/report/_schedule_list.html.haml |  1 +
 spec/views/report/_schedule_list_spec.rb  | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)
 create mode 100644 spec/views/report/_schedule_list_spec.rb
Comment 5 CFME Bot 2015-11-04 18:35:21 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=b628bd6a0754beddb4fcf67c774964cba9de89d3

commit b628bd6a0754beddb4fcf67c774964cba9de89d3
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Oct 29 11:20:49 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Fri Oct 30 10:23:45 2015 +0100

    Fixed flash message rendering when there is no schedule present
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276098
    (cherry picked from commit 1521280f2ad693a5880af07bce484dcb97005b34)

 app/views/report/_schedule_list.html.haml |  1 +
 spec/views/report/_schedule_list_spec.rb  | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)
 create mode 100644 spec/views/report/_schedule_list_spec.rb
Comment 6 CFME Bot 2015-11-04 18:35:27 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=291b4f6c7993c6a573524661b3d8d9bf89924ca8

commit 291b4f6c7993c6a573524661b3d8d9bf89924ca8
Merge: 2ecc92b b628bd6
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 4 18:30:10 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 4 18:30:10 2015 -0500

    Merge branch 'bug-1276098' into '5.5.z'
    
    Fixed flash message rendering when there is no schedule present
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1276098
    https://github.com/ManageIQ/manageiq/pull/5175
    (cherry picked from commit 1521280f2ad693a5880af07bce484dcb97005b34)
    
    See merge request !310

 app/views/report/_schedule_list.html.haml |  1 +
 spec/views/report/_schedule_list_spec.rb  | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)
Comment 7 Ramesh A 2015-11-16 06:11:31 EST
Good to go.  Verified and working fine in 5.5.0.10-beta2.1.20151110134042_d6f5459
Comment 9 errata-xmlrpc 2015-12-08 08:41:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.